Internet Information Services

Internet Information Services (IIS) makes it easy for you to publish information on the Internet or your intranet. IIS includes a broad range of administrative features for managing Web sites and your Web server. With programmatic features like Active Server Pages (ASP), you can create and deploy scalable, flexible Web applications. IIS is not installed by default but can be added using the Add/Remove Programs dialog box from the Control Panel. For more information, see Installing IIS.

Note IIS for Windows XP Professional is designed for users developing a Web service, for home, or for office use. IIS Professional can only service 10 simultaneous client connections and does not leverage all the features of the server versions. IIS replaces the former default Web service, the Personal Web Service (PWS), on home and professional versions of Windows. PWS cannot be upgraded from previous Windows products.

If you have IIS installed, you can view the product documentation by typing http://localhost/iisHelp/ in your browser address bar and pressing ENTER.


Installing IIS

You can install IIS, add optional components, or remove optional components for IIS by using the Add/Remove Programs dialog box in Control Panel. IIS requires that you install certain software on the computer prior to installation. Review the IIS Software Checklist below before installing IIS.

IIS Software Checklist

Before you install IIS, you need to install the Windows TCP/IP Protocol and Connectivity Utilities.

The following optional components are recommended:

  • The Domain Name System (DNS) service installed on a computer in your intranet. If your intranet is small, you can use Hosts or Lmhosts files on all computers in your network. This step is optional, but it allows users to use friendly text names instead of IP addresses. On the Internet, Web sites typically use DNS. If you register a domain name for your site, users can type your site's domain name in a browser to contact your site.
  • For security purposes, Microsoft recommends that you format all IIS drives with NTFS.
  • Microsoft FrontPage to create and edit HTML pages for your Web site. FrontPage is a WYSIWYG editor that provides a friendly, graphical interface for tasks such as inserting tables, graphics, and scripts.
  • Microsoft Visual InterDev to create and develop interactive Web applications.

For more information on Windows TCP/IP Protocol and Connectivity Utilities, DNS, or NTFS security, see your Windows XP Professional online documentation.

IIS Installation

During installation, IIS installs optional components like Common Files, Documentation, and the Internet Information Services snap-in. You can choose not to install the optional components; however, deselecting specific components can decrease IIS functionality or disable IIS services. If you are unfamiliar with the optional components and how they affect IIS, install IIS with the default settings. After you install IIS, you can view Installing IIS Optional Components in the IIS online documentation for more information.

To install IIS, add optional components, or remove optional components

  1. Click Start, click Control Panel, and click Add or Remove Programs.
  2. Click Add/Remove Windows Components. The Windows Components Wizard appears.
  3. Follow the on-screen instructions to install, remove, or add components to IIS.

Notes

  • If you upgrade from a Windows NT 4.0 Workstation that has IIS installed to Windows XP Professional, IIS is installed by default. If IIS was not installed on the Windows NT 4.0 Workstation, you will need to install IIS manually.
  • Personal Web Server is not available on Windows XP Professional. If you upgrade from a Windows home or personal product, you must install IIS for similar Web server functionality.
  • For more information on IIS, refer to the IIS online documentation by typing http://localhost/iisHelp/ in your browser address bar, and pressing ENTER.


IIS Software Checklist

Before you install IIS, you need to install the Windows TCP/IP Protocol and Connectivity Utilities.

The following optional components are recommended:

  • The Domain Name System (DNS) service installed on a computer in your intranet. If your intranet is small, you can use Hosts or Lmhosts files on all computers in your network. This step is optional, but it allows users to use friendly text names instead of IP addresses. On the Internet, Web sites typically use DNS. If you register a domain name for your site, users can type your site's domain name in a browser to contact your site.
  • For security purposes, Microsoft recommends that you format all IIS drives with NTFS.
  • Microsoft FrontPage to create and edit HTML pages for your Web site. FrontPage is a WYSIWYG editor that provides a friendly, graphical interface for tasks such as inserting tables, graphics, and scripts.
  • Microsoft Visual InterDev to create and develop interactive Web applications.

For more information on Windows TCP/IP Protocol and Connectivity Utilities, DNS, or NTFS security, see your Windows XP Professional online documentation.


Testing and Troubleshooting IIS

This topic provides basic procedures to help you test and troubleshoot your IIS Web server installation.

Testing Your IIS Installation

Once you have installed or upgraded to Windows XP Professional, you should verify that your IIS server is working correctly.

To test a Web site on your intranet

  1. Open a Web browser, such as Microsoft Internet Explorer.
  2. Type in the URL for the home directory of your server in the Address text box. The URL is typed in the following format: http://WebSiteName/default.

By default, IIS looks in your home directory for a home page called default.htm, default.asp, or iisstart.asp. If your Web browser returns an error, see the Troubleshooting table for suggestions.

To test a Web site on the Internet

You should test your IIS server from a computer that is not on the same local area network (LAN) as the IIS server that you are testing.

  1. Open a Web browser, such as Microsoft Internet Explorer, on a computer that has an active connection to the Internet.
  2. Type the URL for the home directory of your server into the Address text box. The URL is typed in the following format: http://WebSiteName/default.

By default, IIS looks in your home directory for a home page called default.htm, default.asp, or iisstart.asp. If your Web browser returns an error, see the Troubleshooting table for suggestions.

Troubleshooting table

Error | See Troubleshooting Topic(s)
Cannot find server | Ping your server
The page cannot be displayed | Ping your server and Restart IIS
Under Construction or The site you are trying to reach does not currently have a default page | Verify and change the location of your default Web site content pages

Troubleshooting

This section covers the following topics:

  • Ping your server
  • Verify or change the location of your default Web site content pages
  • Verify the files

Ping your server

If your Web browser returned either the Cannot find server error or The page cannot be displayed error, then use the ping command to test for the following:

  • The name resolution server resolves your IIS Web server's name to its IP address
  • Your server responds to network requests from a remote computer

The ping command is used from a command prompt window. Before you can ping your server, you need to determine the server name or its IP address. If you want to ping your server by name and your server is on an intranet, you need to know its NetBios name; if you want to ping your server by name and your server connects to the Internet, you need to know its fully qualified domain name (FQDN).

To determine the NetBios name

  1. From the Start menu, right-click My Computer, and click Properties.
  2. Click the Computer Name property sheet, and click Properties. The Computer name: text box displays your server's NetBios name.

To determine the FQDN name

  1. From the Start menu, right-click My Computer, and click Properties.
  2. Click the Computer Name property sheet. The Full computer name: displays your server's FQDN name.

To determine the IP address

  • Use the ipconfig command from the command prompt on the IIS server. See Related Topics for more information about the ipconfig command.

Important To adequately test network connectivity, it is necessary to ping your server from a remote computer. If you run a ping command from your local server, the ping does not enter the network loops within your local server.

To ping your server by name

If your server is on an intranet, use its NetBios name to ping your server.

  1. From a remote computer, in the command prompt, type ping servername
  2. Press ENTER.

If your server is on the Internet, use its fully qualified domain name (FQDN) to ping your server.

  • From a remote computer, in the command prompt, type ping www.fully_qualified_domain_name.com

After pinging your server by name, one of the following happens:

  • You receive four replies from the Web server that include the IP address of the server, which indicates that the server is responding to network requests.
  • You receive an error message such as Request timed out or Unknown host.

If you receive a Request timed out error, the Web server is not responding to network requests or there is some kind of network failure between the remote computer and the server. See Related Topics for additional troubleshooting information.

If you receive an Unknown host error, try to ping your server by IP address to determine if you have a name resolution problem.

To ping your server by IP address

  • From a remote computer, in the command prompt, type ping IPaddress

After pinging your server, one of the following happens:

  • You receive four replies from the Web server that include the IP address of the server, which indicates that the server is responding to network requests.
  • You receive an error message such as Request timed out or Unknown host.

If the server responds when you ping its IP address but does not respond when you ping the server name, you have a name resolution problem. Search for the keywords name resolution in the Windows XP Professional online help troubleshooting procedures.

If you receive a Request timed out or Unknown host error, the Web server is not responding to network requests or there is some kind of network failure between the remote computer and the server. See Related Topics for additional troubleshooting information.

Verify and change the location of your default Web site content pages

If you receive either the Under Construction or The site you are trying to reach does not currently have a default page error, you need to verify and/or change the location of your default Web site. By default, the files for your default Web site are located at x:\inetpub\wwwroot, where x is the drive that Windows XP Professional is installed on. For example, if Windows XP Professional is installed to your c: drive, the content files for your default home page are stored at c:\inetpub\wwwroot.

Important You need to test the location of your content files from the server that is running IIS.

To determine the location of your default Web site content pages

  1. Open the IIS snap-in. From the Start menu, click Run, and type inetmgr in Run the text box.
  2. Open the left server node in the IIS snap-in. An asterisk between the server icon and the server name indicates the local server.
  3. Select Default Web Site.
  4. From the Action menu, select Properties.
  5. Select the Home Directory property sheet. The Local Path text box displays the path to your default Web site content pages.

Note If you want to change the local path to your content files, click the Browse button on the Home Directory property sheet or enter a new location in the Local Path text box. Be sure to verify your content files exist in the correct folder. Click the Help button on the Home Directory property sheet for more information.

To verify your content files exist in the correct folder

  • After you have determine the location of your default Web site content files, use Windows Explorer to verify that the files actually exist in the folder that your Web site is configured to use. If your files do not exist in the specified location, use determine the location of your files and update the location of your default Web site content files on the Home Directory property sheet.

Restart IIS

If you receive a The page cannot be displayed error, you may need to restart IIS if you cannot locate the source of the problem by Pinging your server. Use the IIS snap-in to start or stop any Web site on your IIS server or restart the World Wide Web (WWW) publishing service, which restarts IIS at the server level. When you restart the the WWW Publishing service, all sites running from the designated computer are affected. Before restarting IIS, you must be a member of the Administrator group on the Windows XP Professional computer that you wish to administer. For more information about users and groups search for the keyword group in the Windows XP Professional online help.

Important You need to restart IIS from the server that is running IIS.

Restarting a Web site

  1. Open the IIS snap-in. From the Start menu, click Run, and type inetmgr in Run the text box.
  2. Open the left server node in the IIS snap-in. An asterisk between the server icon and the server name indicates the local server.
  3. Select the Web site that you want to restart.
  4. From the Action menu, click Stop. When the site is stopped, you will see (Stopped) next to the site name in the IIS snap-in.
  5. To restart the Web site, from the Action menu, click Start.

Restarting the WWW service

  1. Open the IIS snap-in. From the Start menu, click Run, and type inetmgr in Run the text box.
  2. Open the left server node in the IIS snap-in. An asterisk between the server icon and the server name indicates the local server.
  3. From the Action menu, select Restart IIS.
  4. Select Restart Internet Services on servername, where servername is the name of your server.
  5. Click OK.

Related Topics

  • For information about name resolution, search for the keywords WINS, DNS, NetBios, and name resolution in the Windows XP Professional online help.
  • For information about the ping command, search for the keyword ping in the Windows XP Professional online documentation.
  • For information about the ipconfig command, search for the keyword ipconfig in the Windows XP Professional online help.
  • For information about using Windows Explorer, search for the keyword Windows Explorer in the Windows XP Professional online help.
  • For more information about users and groups, search for the keyword group in the Windows XP Professional online help.
  • Microsoft Windows 2000 Administrator's Pocket Consultant - ISBN 0-7356-0831-8 Contains information on TCP/IP networking, managing files and directories, managing network administration, and name resolution.
  • The IIS online documentation is available at http://localhost/iisHelp/iis/default.htm


Electronic Mail

Microsoft SMTP Service uses the Internet-standard Simple Mail Transfer Protocol (SMTP) to transport and deliver messages. The SMTP service also gives you control over the routing and delivery of messages, providing secure communications.

If you have electronic mail (Simple Mail Transfer Protocol or SMTP) installed, you can view the product documentation by typing file:\\%systemroot%\help\mail.chm in your browser address bar and pressing ENTER.

e-mail, email, electronic mail, mailto:, Simple Mail Transfer Protocol, SMTP, mail protocols, mailbox, Lightweight Directory Access Protocol, LDAP, internet mail, configure e-mail, messages.


FrontPage Server Extensions

The FrontPage Server Extensions are a set of three programs that support features such as collaborative authoring, hit counters, e-mail form-handling, and editing a Web site directly on a server computer.

The Microsoft® FrontPage® MMC snap-in is a program that allows you to administer the FrontPage Server Extensions and FrontPage-extended webs. Use this program to:

  • extend virtual servers
  • create subwebs
  • upgrade the server extensions on a web
  • convert folders into subwebs
  • convert subwebs into folders
  • recalculate hyperlinks in a web

The Microsoft FrontPage MMC snap-in has a complete help system providing FrontPage server extensions overviews and descriptions of server extensions administrative techniques. This help file is installed by default at C:\Program Files\Common Files\Microsoft Shared\Web Server Extensions\40\bin\nnnn\Fpmmc.chm, where nnnn is a numerical name based on the language in which you installed the FrontPage Server Extensions. For example, in a U.S. English installation, the path is: C:\Program Files\Common Files\Microsoft Shared\Web Server Extensions\40\bin\1033\Fpmmc.chm. Additional FrontPage server extensions documentation is available on the Microsoft Web site.

FrontPage Server Extensions, web server, web administration, administer webs, FrontPage-extended web


IIS search results page

Internet Information Services

The topic you have searched for is available in the IIS online help. If you have IIS installed, you can view the documentation by typing http://localhost/iisHelp/ in your browser address bar and pressing ENTER. You can then re-enter your query.

Using Internet Information Services

Internet Information Services (IIS) is the Windows component that makes it easy to publish information and bring business applications to the Web. IIS makes it easy for you to create a strong platform for network applications and communications.

Notes

  • You can start Windows Internet Information Services by clicking Start, pointing to Settings, and clicking Control Panel. Double-click Administrative Tools and then double-click Computer Management. Expand the Server Applications and Services node in the console tree of the Microsoft Management Console (MMC) and select Internet Information Services.
  • If the term you are searching for does not appear in this topic, see the Internet Information Services product documentation.
Active Channel, Active Server Pages, ActiveX, administration, server, anonymous access, application root, applications, ASP built-in objects, authentication, Basic authentication, best practices, Internet, browser-based administration, browsers, Internet certificates, digital, CGI applications, challenge/response authentication, channels, clients, Internet, client-side scripting, cluster server, COM component, MTS, connection, Internet content, dynamic content, interactive, control, ActiveX, crash protection, database applications, DCOM, DHTML, XML, documentation, Internet-related, E-commerce, electronic commerce, encryption, form, FTP, File Transfer Protocol, GIF, JPG, JPEG, HTML, publishing, HTTP, IIS, Admin Object, Base Object, samples, installing, installing Internet Information Server, Internet Information Services, Internet servers, Internet Service Manager, Internet service provider, ISP, intranet, ISAPI, ISAPI extensions, ISAPI filters, ISDN, IUSR_computername, Java, Javascript, JS, Microsoft Management Console, MMC, modem, permissions, PICS, process isolation, pooling, programming, remote administration, scripting, security, Enterprise, farms, server-side scripting, session, state, SSL, standards, transaction, uniform resource locator, URL, VBScript, virtual directory, Web farms, page, site, hosting, World Wide Web, WWW, WWWroot, InetPub, InetSrv, Personal Web Manager, ISM, PWM, PWS, Personal Web Server, Personal Web Services, Peer Web Server, Peer Web Services, Secure Sockets Layer, Windows 2000, Windows 2000, Professional, Server, Advanced Datacenter.